cascading.flow.planner.rule.transformer

## Class RuleInsertionTransformer

- java.lang.Object
- - cascading.flow.planner.iso.transformer.GraphTransformer<ElementGraph,ElementGraph>
  - - cascading.flow.planner.rule.RuleTransformer
    - - cascading.flow.planner.rule.transformer.RuleInsertionTransformer

- All Implemented Interfaces:
    Rule
  Direct Known Subclasses:
    BoundaryBalanceCheckpointTransformer, BoundaryBalanceGroupBlockingHashJoinTransformer, BoundaryBalanceGroupSplitHashJoinTransformer, BoundaryBalanceGroupSplitSpliceTransformer, BoundaryBalanceGroupSplitTransformer, BoundaryBalanceHashJoinSameSourceTransformer, BoundaryBalanceHashJoinToHashJoinTransformer, BoundaryBalanceJoinSplitTransformer, BoundaryBalanceSplitSplitToStreamedHashJoinTransformer, BoundaryBalanceSplitToStreamedHashJoinTransformer, NoOpPipeMultiGraphTransformer, TapBalanceCheckpointTransformer, TapBalanceGroupBlockingHashJoinTransformer, TapBalanceGroupGroupTransformer, TapBalanceGroupMergeGroupTransformer, TapBalanceGroupNonBlockingHashJoinTransformer, TapBalanceGroupSplitJoinTransformer, TapBalanceGroupSplitMergeGroupTransformer, TapBalanceGroupSplitMergeTransformer, TapBalanceGroupSplitTransformer, TapBalanceGroupSplitTriangleTransformer, TapBalanceHashJoinBlockingHashJoinTransformer, TapBalanceHashJoinSameSourceTransformer, TapBalanceNonSafePipeSplitTransformer, TapBalanceNonSafeSplitTransformer, TapBalanceSameSourceStreamedAccumulatedTransformer

      public class RuleInsertionTransformer
      extends RuleTransformer

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.rule.RuleTransformer

      `contractedTransformer, graphTransformer, ruleExpression, subGraphTransformer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleInsertionTransformer(LogLevel logLevel, PlanPhase phase, RuleExpression ruleExpression, ElementCapture capture, java.lang.String factoryName)`
    `RuleInsertionTransformer(LogLevel logLevel, PlanPhase phase, RuleExpression ruleExpression, ElementCapture capture, java.lang.String factoryName, InsertionGraphTransformer.Insertion insertion)`
    `RuleInsertionTransformer(LogLevel logLevel, PlanPhase phase, RuleExpression ruleExpression, java.lang.String factoryName)`
    `RuleInsertionTransformer(LogLevel logLevel, PlanPhase phase, RuleExpression ruleExpression, java.lang.String factoryName, InsertionGraphTransformer.Insertion insertion)`
    `RuleInsertionTransformer(PlanPhase phase, RuleExpression ruleExpression, ElementCapture capture, java.lang.String factoryName)`
    `RuleInsertionTransformer(PlanPhase phase, RuleExpression ruleExpression, ElementCapture capture, java.lang.String factoryName, InsertionGraphTransformer.Insertion insertion)`
    `RuleInsertionTransformer(PlanPhase phase, RuleExpression ruleExpression, java.lang.String factoryName)`
    `RuleInsertionTransformer(PlanPhase phase, RuleExpression ruleExpression, java.lang.String factoryName, InsertionGraphTransformer.Insertion insertion)`

  - ### Method Summary

    - ### Methods inherited from class cascading.flow.planner.rule.RuleTransformer

      `getRuleName, getRulePhase, performTransform, toString, transform`

    - ### Methods inherited from class cascading.flow.planner.iso.transformer.GraphTransformer

      `transform`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleInsertionTransformer

          public RuleInsertionTransformer(PlanPhase phase,
                                  RuleExpression ruleExpression,
                                  java.lang.String factoryName)

    - #### RuleInsertionTransformer

          public RuleInsertionTransformer(PlanPhase phase,
                                  RuleExpression ruleExpression,
                                  java.lang.String factoryName,
                                  InsertionGraphTransformer.Insertion insertion)

    - #### RuleInsertionTransformer

          public RuleInsertionTransformer(PlanPhase phase,
                                  RuleExpression ruleExpression,
                                  ElementCapture capture,
                                  java.lang.String factoryName)

    - #### RuleInsertionTransformer

          public RuleInsertionTransformer(PlanPhase phase,
                                  RuleExpression ruleExpression,
                                  ElementCapture capture,
                                  java.lang.String factoryName,
                                  InsertionGraphTransformer.Insertion insertion)

    - #### RuleInsertionTransformer

          public RuleInsertionTransformer(LogLevel logLevel,
                                  PlanPhase phase,
                                  RuleExpression ruleExpression,
                                  java.lang.String factoryName)

    - #### RuleInsertionTransformer

          public RuleInsertionTransformer(LogLevel logLevel,
                                  PlanPhase phase,
                                  RuleExpression ruleExpression,
                                  java.lang.String factoryName,
                                  InsertionGraphTransformer.Insertion insertion)

    - #### RuleInsertionTransformer

          public RuleInsertionTransformer(LogLevel logLevel,
                                  PlanPhase phase,
                                  RuleExpression ruleExpression,
                                  ElementCapture capture,
                                  java.lang.String factoryName)

    - #### RuleInsertionTransformer

          public RuleInsertionTransformer(LogLevel logLevel,
                                  PlanPhase phase,
                                  RuleExpression ruleExpression,
                                  ElementCapture capture,
                                  java.lang.String factoryName,
                                  InsertionGraphTransformer.Insertion insertion)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.